Plume API
Utility

/definition

Get the definitions of a word

GET
/definition

Query Parameters

locale?string

Response locale

Value in"en" | "fr"
word*string

The word to search for

Length1 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/definition?word=string"
{
  "word": "string",
  "phonetic": "string",
  "definitions": [
    {
      "part_of_speech": "string",
      "definitions": [
        {
          "definition": "string",
          "example": "string"
        }
      ],
      "synonyms": [
        "string"
      ],
      "antonyms": [
        "string"
      ]
    }
  ]
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}